repo/gentoo:master commit in: dev-python/ml-dtypes/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786681275.8f90470667de4678b3ac92796cb504113689f085.mgorny@gentoo>
commit:     8f90470667de4678b3ac92796cb504113689f085
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Aug 14 03:58:15 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Aug 14 04:21:15 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8f904706

dev-python/ml-dtypes: Bump to 0.6.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/ml-dtypes/Manifest               |  2 +
 dev-python/ml-dtypes/ml-dtypes-0.6.0.ebuild | 58 +++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/dev-python/ml-dtypes/Manifest b/dev-python/ml-dtypes/Manifest
index ca6e16a4c2ce..a6db6bcbbc02 100644
--- a/dev-python/ml-dtypes/Manifest
+++ b/dev-python/ml-dtypes/Manifest
@@ -1,2 +1,4 @@
 DIST eigen-7bf2968fed5f246c0589e1111004cb420fcd7c71.tar.bz2 2239233 BLAKE2B 3a7e81c302cb11ae1d6ef9433a9ec41506c1f37d04cfb8744ac3fcf7dbe9430c1b48d7197ca3b8e1f9354398bac3d0dbc3e0599c0b649acd6175e906befe2973 SHA512 29ee89770726e6e0f5135b7fab24649f3e69223caed90d2daa6f0014783e69fe98f0551de49bd4e393d7b7938f2943caf1ed00f3933fa771ac14fae3c63fd5dd
+DIST eigen-bc3b39870ecb690a623a3f49149a358b95c5781d.tar.bz2 2330359 BLAKE2B b58038fefdf6736968ac7bb48dfae6f89e52c901e89d1ecb4ec444c4f756d06d61efbad8f1ee93432ce26f4b9b3670cc3338640add0f6c0450b17a0025b40eb1 SHA512 eacb63ae06568b5c92d7d97805d34d0046e48a9c3ef7feae9535391e1d175095d0459718e9047c23774537e4ed55aa652e3274e2da581a38b435ab48568ef395
 DIST ml_dtypes-0.5.4.gh.tar.gz 88210 BLAKE2B 2f2695105a597e33ca6ec1b622f1d50d6ba027938c5e8d4139790e5f5d38a234b6a2e9f10331909348e66c58c9e172f9e48afc54100aea9c9160a0152485fe94 SHA512 585641b2d4d9ff7b134310ac38484989d85efd3f303cc99fa71b2b693c710f435d4245bb64239b79f823da647e71f477be89d3141fa6aeb775262ea13a4f1bf7
+DIST ml_dtypes-0.6.0.gh.tar.gz 103221 BLAKE2B 1402314b90f954c4e52aa6738f8276ffa569fa818d6c3ddd2cfca37d68d24d05b6dd269759deef6935da11acfeb271dd7b1954a1516ed8fce16562550bf5a13e SHA512 6597d4bc9e28deab87d4ce26307d0227f037546710d1794f48186daab633b316134ccbc433fe1175601ea800b19aad178b63a01c529419ca41299b93185290d8

diff --git a/dev-python/ml-dtypes/ml-dtypes-0.6.0.ebuild b/dev-python/ml-dtypes/ml-dtypes-0.6.0.ebuild
new file mode 100644
index 000000000000..763aa017e4ad
--- /dev/null
+++ b/dev-python/ml-dtypes/ml-dtypes-0.6.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 2024-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=scikit-build-core
+PYTHON_COMPAT=( python3_{12..14} )
+
+inherit distutils-r1
+
+MY_P=${PN/-/_}-${PV}
+EIGEN_CommitId="bc3b39870ecb690a623a3f49149a358b95c5781d"
+
+DESCRIPTION="A stand-alone implementation of several NumPy dtype extensions"
+HOMEPAGE="
+	https://github.com/jax-ml/ml_dtypes/
+	https://pypi.org/project/ml-dtypes/
+"
+SRC_URI="
+	https://github.com/jax-ml/ml_dtypes/archive/v${PV}.tar.gz
+		-> ${MY_P}.gh.tar.gz
+	https://gitlab.com/libeigen/eigen/-/archive/${EIGEN_CommitId}/eigen-${EIGEN_CommitId}.tar.bz2
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+DEPEND="
+	>=dev-python/numpy-1.21:=[${PYTHON_USEDEP}]
+"
+RDEPEND="
+	${DEPEND}
+"
+BDEPEND="
+	dev-python/pybind11[${PYTHON_USEDEP}]
+	test? (
+		dev-python/absl-py[${PYTHON_USEDEP}]
+	)
+"
+
+EPYTEST_PLUGINS=()
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	rmdir third_party/eigen || die
+	mv "${WORKDIR}/eigen-${EIGEN_CommitId}" third_party/eigen || die
+	distutils-r1_python_prepare_all
+}
+
+src_test() {
+	mv ml_dtypes/tests . || die
+	rm -r ml_dtypes || die
+
+	distutils-r1_src_test
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.